<?php declare(strict_types=1);

namespace App\ServiceResults\Private\Websocket;

use App\ServiceResults\ServiceResult;

final class Setting extends ServiceResult
{
    public function __construct(
        private readonly string $key,
        private readonly string $wsHost,
        private readonly int $wsPort,
        private readonly int $wssPort,
        private readonly bool $forceTLS,
    ) { }

    public function getKey(): string
    {
        return $this->key;
    }

    public function getWsHost(): string
    {
        return $this->wsHost;
    }

    public function getWsPort(): int
    {
        return $this->wsPort;
    }

    public function getWssPort(): int
    {
        return $this->wssPort;
    }

    public function isForceTLS(): bool
    {
        return $this->forceTLS;
    }
}
